> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/tutorials/odds-and-predictions/extra-odds/flat-odds.md).

# FlatOdds

You can also use `odds` as an include on the [**fixture endpoints** ](https://football-postman.sportmonks.com/#b7f79045-eac3-40c5-b114-24c5b438f62c)or [**livescores endpoints**](https://football-postman.sportmonks.com/#b850a1c2-9775-4828-8cce-3799532e06aa). When you do this, you’re able to [**filter**](https://docs.sportmonks.com/football/tutorials/filtering-limiting-and-sorting/filtering) on multiple bookmakers and markets because the fixture endpoint has those parameters. \
\
Therefore, if you want to request odds from various bookmakers or markets, we suggest using `flatOdds` as an include.

For example, the 3-way result market (#1) from bet365 (#2) of all the fixtures played on 2020-08-02

```javascript
https://soccer.sportmonks.com/api/v2.0/fixtures/date/2020-08-02?api_token={API_TOKEN}&include=flatOdds&markets=1&bookmakers=2
```

Last but not least, you can also use `oddComparison` as an include. The main difference between `flatOdds` and `oddComparison` is that `flatOdds` are updated more frequently.

The benefit of the `oddComparison` include is that it contains more bookmakers. Therefore this is the best option if you want to make a comparison application between all the bookmakers and the odds they offer.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v2/tutorials/odds-and-predictions/extra-odds/flat-odds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
